Skip to main content

Get API Application Detail

Retrieve detailed information of a specific API Application by ID.

Request

Request-Line

GET /waap/v1.0/apiProtection/apiApps/{appId} HTTP/1.1

Request Parameters

Path Parameters

ParameterTypeRequiredDescription
appIdIntegerMandatoryUnique identifier assigned to the API Application.

Response

Response Body

ParameterTypeDescription
appIdIntegerUnique identifier for the API application.
nameStringName of the API application. The name must have 1-26 characters. Valid characters: 0-9, A-Z, a-z, space, . (dot), _ (underline), - (hyphen), () (parentheses), * (asterisk) and + (plus sign).
websitesInteger[]List of associated website IDs.
domainStringAssociated domains of the application, separated by commas.
pathPrefixStringURL path prefix for the application (e.g., /test, /cm)
serviceIdsInteger[]List of CDN service IDs related to the application protection.

Status Codes, Error Codes and Error Messages

Status CodeError CodeError Message
400AppId.InvalidAppId is empty or invalid.
404Application.NotFoundApplication is not found.

Examples

Get API Application Detail

Request

GET /waap/v1.0/apiProtection/apiApps/56 HTTP/1.1

Successful Response Body

{
"appId": 56,
"name": "test1",
"websites": [
371,
392
],
"domain": "test1.com,test2.com",
"pathPrefix": "/test",
"serviceIds": [
227481,
227979
]
}